Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri
Class QName

    java.lang.Object
      org.apache.commons.jxpath.ri.QName

All Implemented Interfaces:
  Serializable

    public class QName

extends Object
implements Serializable

A qualified name: a combination of an optional namespace prefix and an local name.

Version:
  $Revision: 652925 $ $Date: 2008-05-02 17:05:41 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Constructor Summary
`QName(String qualifiedName)` Create a new QName.
`QName(String prefix, String localName)` Create a new QName.

Method Summary
`boolean` | `equals(Object object)`
`String` | `getName()` Get the local name.
`String` | `getPrefix()` Get the prefix of this QName.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QName

    public QName(String qualifiedName)

  Create a new QName.

  Parameters:
    `qualifiedName` - value

### QName

    public QName(String prefix,
                 String localName)

  Create a new QName.

  Parameters:
    `prefix` - ns
    `localName` - String

Method Detail

### getPrefix

    public String getPrefix()

  Get the prefix of this QName.

  Returns:
    String

### getName

    public String getName()

  Get the local name.

  Returns:
    String

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.